#
# spec file for package ocaml-facile
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ocaml-facile
Version:        1.1
Release:        196.3
Summary:        Ocaml Constraint Programming Library
License:        LGPL-2.1+
Group:          Development/Libraries/Other
Url:            http://www.recherche.enac.fr/log/facile/
Source0:        http://www.recherche.enac.fr/log/facile/distrib/facile-%{version}.tar.gz
# PATCH-FIX-OPENSUSE ocaml-4.patch hrvoje.senjan@gmail.com -- Fixes build with ocaml 4
Patch0:         ocaml-4.patch
BuildRequires:  ocaml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FaCiLe is a constraint programming library on integer and integer set
finite domains written in OCaml. It offers all usual facilities to
create and manipulate finite domain variables, arithmetic expressions
and constraints (possibly non-linear), built-in global constraints
(difference, cardinality, sorting etc.) and search and optimization
goals. FaCiLe as well allows you to build easily user-defined
constraints and goals (including recursive ones), making pervasive use
of OCaml higher-order functionals to provide a simple and flexible
interface for the user. As FaCiLe is an OCaml library and not "yet
another language", the user benefits from type inference and strong
typing discipline, high level of abstraction, a modules and objects
system, as well as native code compilation efficiency, garbage
collection and replay debugger, all features of OCaml (among many
others) that allow to prototype and experiment quickly: modeling, data
processing and interface are implemented with the same powerful and
efficient language.

%prep
%setup -q -n facile-%{version}
%if 0%{?suse_version} > 1230
%patch0 -p1
%endif

%build
./configure -faciledir %{buildroot}/%{_libdir}/ocaml/facile
make %{?_smp_mflags}

%install
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/facile
%make_install

%files
%defattr(-,root,root)
%{_libdir}/ocaml/facile

%changelog
* Sat Apr  6 2013 hrvoje.senjan@gmail.com
- Added ocaml-4.patch, fixes build with ocaml 4
- Add Source URL
- Clean the spec file
* Tue Nov 20 2012 nico.kruber@gmail.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Mon Jun  4 2007 dmueller@suse.de
- Initial package (1.1)
